- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpSolve Class Reference

This is a very simple class to guide algorithms. More...

`#include <ClpSolve.hpp>`

List of all members.

## Public Types
| useDual = 0
| usePrimal
| usePrimalorSprint
| useBarrier
| useBarrierNoCross
| automatic
| notImplemented
| presolveOn = 0
| presolveOff
| presolveNumber
| presolveNumberCost
enum | SolveType { useDual = 0, usePrimal, usePrimalorSprint, useBarrier, useBarrierNoCross, automatic, notImplemented }
| enums for solve function More...
enum | PresolveType { presolveOn = 0, presolveOff, presolveNumber, presolveNumberCost }
## Public Member Functions
Constructors and destructor and copy
| ClpSolve ()
| Default constructor.
| ClpSolve (SolveType method, PresolveType presolveType, int numberPasses, int options[6], int extraInfo[6], int independentOptions[3])
| Constructor when you really know what you are doing.
void | generateCpp (FILE *fp)
| Generates code for above constructor.
| ClpSolve (const ClpSolve &)
| Copy constructor.
ClpSolve & | operator= (const ClpSolve &rhs)
| Assignment operator. This copies the data.
| ~ClpSolve ()
| Destructor.
Functions most useful to user
void | setSpecialOption (int which, int value, int extraInfo=-1)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
int | getSpecialOption (int which) const
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
void | setSolveType (SolveType method, int extraInfo=-1)
| Solve types.
SolveType | getSolveType ()
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
void | setPresolveType (PresolveType amount, int extraInfo=-1)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
PresolveType | getPresolveType ()
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
int | getPresolvePasses () const
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
int | getExtraInfo (int which) const
| Extra info for idiot (or sprint).
void | setInfeasibleReturn (bool trueFalse)
| Say to return at once if infeasible, default is to solve.
bool | infeasibleReturn () const
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doDual () const
| Whether we want to do dual part of presolve.
void | setDoDual (bool doDual)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doSingleton () const
| Whether we want to do singleton part of presolve.
void | setDoSingleton (bool doSingleton)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doDoubleton () const
| Whether we want to do doubleton part of presolve.
void | setDoDoubleton (bool doDoubleton)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doTripleton () const
| Whether we want to do tripleton part of presolve.
void | setDoTripleton (bool doTripleton)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doTighten () const
| Whether we want to do tighten part of presolve.
void | setDoTighten (bool doTighten)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doForcing () const
| Whether we want to do forcing part of presolve.
void | setDoForcing (bool doForcing)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doImpliedFree () const
| Whether we want to do impliedfree part of presolve.
void | setDoImpliedFree (bool doImpliedfree)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doDupcol () const
| Whether we want to do dupcol part of presolve.
void | setDoDupcol (bool doDupcol)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doDuprow () const
| Whether we want to do duprow part of presolve.
void | setDoDuprow (bool doDuprow)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
bool | doSingletonColumn () const
| Whether we want to do singleton column part of presolve.
void | setDoSingletonColumn (bool doSingleton)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
int | presolveActions () const
| Set whole group.
void | setPresolveActions (int action)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
int | substitution () const
| Largest column for substitution (normally 3).
void | setSubstitution (int value)
| which translation is: which: 0 - startup in Dual (nothing if basis exists).
## Private Attributes
data.
SolveType | method_
| Solve type.
PresolveType | presolveType_
| Presolve type.
int | numberPasses_
| Amount of presolve.
int | options_ [7]
| Options - last is switch for OsiClp.
int | extraInfo_ [7]
| Extra information.
int | independentOptions_ [3]
| Extra algorithm dependent options 0 - if set return from clpsolve if infeasible 1 - To be copied over to presolve options 2 - max substitution level.

## Detailed Description

This is a very simple class to guide algorithms.

It is used to tidy up passing parameters to initialSolve and maybe for output from that

Definition at line 19 of file ClpSolve.hpp.

## Member Enumeration Documentation

enum ClpSolve::SolveType

enums for solve function

Enumerator:

  useDual |
  usePrimal |
  usePrimalorSprint |
  useBarrier |
  useBarrierNoCross |
  automatic |
  notImplemented |

Definition at line 24 of file ClpSolve.hpp.

enum ClpSolve::PresolveType

Enumerator:

  presolveOn |
  presolveOff |
  presolveNumber |
  presolveNumberCost |

Definition at line 33 of file ClpSolve.hpp.

## Constructor & Destructor Documentation

ClpSolve::ClpSolve | ( |  | ) |

Default constructor.

ClpSolve::ClpSolve | ( | SolveType | method,
|  | PresolveType | presolveType,
|  | int | numberPasses,
|  | int | options[6],
|  | int | extraInfo[6],
|  | int | independentOptions[3] |
| ) |  |  |

Constructor when you really know what you are doing.

ClpSolve::ClpSolve | ( | const ClpSolve & |  | ) |

Copy constructor.

ClpSolve::~ClpSolve | ( |  | ) |

Destructor.

## Member Function Documentation

void ClpSolve::generateCpp | ( | FILE * | fp | ) |

Generates code for above constructor.

ClpSolve& ClpSolve::operator= | ( | const ClpSolve & | rhs | ) |

Assignment operator. This copies the data.

void ClpSolve::setSpecialOption | ( | int | which,
|  | int | value,
|  | int | extraInfo = `-1` |
| ) |  |  |

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

int ClpSolve::getSpecialOption | ( | int | which | ) | const

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

void ClpSolve::setSolveType | ( | SolveType | method,
|  | int | extraInfo = `-1` |
| ) |  |  |

Solve types.

SolveType ClpSolve::getSolveType | ( |  | ) |

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

void ClpSolve::setPresolveType | ( | PresolveType | amount,
|  | int | extraInfo = `-1` |
| ) |  |  |

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

PresolveType ClpSolve::getPresolveType | ( |  | ) |

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

int ClpSolve::getPresolvePasses | ( |  | ) | const

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

int ClpSolve::getExtraInfo | ( | int | which | ) | const

Extra info for idiot (or sprint).

void ClpSolve::setInfeasibleReturn | ( | bool | trueFalse | ) |

Say to return at once if infeasible, default is to solve.

bool ClpSolve::infeasibleReturn | ( |  | ) | const`[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 118 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doDual | ( |  | ) | const`[inline]`

Whether we want to do dual part of presolve.

Definition at line 121 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoDual | ( | bool | doDual | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 123 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doSingleton | ( |  | ) | const`[inline]`

Whether we want to do singleton part of presolve.

Definition at line 126 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoSingleton | ( | bool | doSingleton | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 128 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doDoubleton | ( |  | ) | const`[inline]`

Whether we want to do doubleton part of presolve.

Definition at line 131 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoDoubleton | ( | bool | doDoubleton | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 133 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doTripleton | ( |  | ) | const`[inline]`

Whether we want to do tripleton part of presolve.

Definition at line 136 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoTripleton | ( | bool | doTripleton | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 138 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doTighten | ( |  | ) | const`[inline]`

Whether we want to do tighten part of presolve.

Definition at line 141 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoTighten | ( | bool | doTighten | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 143 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doForcing | ( |  | ) | const`[inline]`

Whether we want to do forcing part of presolve.

Definition at line 146 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoForcing | ( | bool | doForcing | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 148 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doImpliedFree | ( |  | ) | const`[inline]`

Whether we want to do impliedfree part of presolve.

Definition at line 151 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoImpliedFree | ( | bool | doImpliedfree | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 153 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doDupcol | ( |  | ) | const`[inline]`

Whether we want to do dupcol part of presolve.

Definition at line 156 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoDupcol | ( | bool | doDupcol | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 158 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doDuprow | ( |  | ) | const`[inline]`

Whether we want to do duprow part of presolve.

Definition at line 161 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoDuprow | ( | bool | doDuprow | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 163 of file ClpSolve.hpp.

References independentOptions_.

bool ClpSolve::doSingletonColumn | ( |  | ) | const`[inline]`

Whether we want to do singleton column part of presolve.

Definition at line 166 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setDoSingletonColumn | ( | bool | doSingleton | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 168 of file ClpSolve.hpp.

References independentOptions_.

int ClpSolve::presolveActions | ( |  | ) | const`[inline]`

Set whole group.

Definition at line 171 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setPresolveActions | ( | int | action | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 173 of file ClpSolve.hpp.

References independentOptions_.

int ClpSolve::substitution | ( |  | ) | const`[inline]`

Largest column for substitution (normally 3).

Definition at line 176 of file ClpSolve.hpp.

References independentOptions_.

void ClpSolve::setSubstitution | ( | int | value | ) | `[inline]`

which translation is: which: 0 - startup in Dual (nothing if basis exists).

: 0 - no basis 1 - crash 2 - use initiative about idiot! but no crash 1 - startup in Primal (nothing if basis exists): 0 - use initiative 1 - use crash 2 - use idiot and look at further info 3 - use sprint and look at further info 4 - use all slack 5 - use initiative but no idiot 6 - use initiative but no sprint 7 - use initiative but no crash 8 - do allslack or idiot 9 - do allslack or sprint 10 - slp before 11 - no nothing and primal(0) 2 - interrupt handling - 0 yes, 1 no (for threadsafe) 3 - whether to make +- 1matrix - 0 yes, 1 no 4 - for barrier 0 - dense cholesky 1 - Wssmp allowing some long columns 2 - Wssmp not allowing long columns 3 - Wssmp using KKT 4 - Using Florida ordering 8 - bit set to do scaling 16 - set to be aggressive with gamma/delta? 32 - Use KKT 5 - for presolve 1 - switch off dual stuff 6 - for detailed printout (initially just presolve) 1 - presolve statistics

Definition at line 178 of file ClpSolve.hpp.

References independentOptions_.

## Member Data Documentation

SolveType ClpSolve::method_`[private]`

Solve type.

Definition at line 189 of file ClpSolve.hpp.

PresolveType ClpSolve::presolveType_`[private]`

Presolve type.

Definition at line 191 of file ClpSolve.hpp.

int ClpSolve::numberPasses_`[private]`

Amount of presolve.

Definition at line 193 of file ClpSolve.hpp.

int ClpSolve::options_[7]`[private]`

Options - last is switch for OsiClp.

Definition at line 195 of file ClpSolve.hpp.

int ClpSolve::extraInfo_[7]`[private]`

Extra information.

Definition at line 197 of file ClpSolve.hpp.

int ClpSolve::independentOptions_[3]`[private]`

Extra algorithm dependent options 0 - if set return from clpsolve if infeasible 1 - To be copied over to presolve options 2 - max substitution level.

Definition at line 203 of file ClpSolve.hpp.

Referenced by doDoubleton(), doDual(), doDupcol(), doDuprow(), doForcing(), doImpliedFree(), doSingleton(), doSingletonColumn(), doTighten(), doTripleton(), infeasibleReturn(), presolveActions(), setDoDoubleton(), setDoDual(), setDoDupcol(), setDoDuprow(), setDoForcing(), setDoImpliedFree(), setDoSingleton(), setDoSingletonColumn(), setDoTighten(), setDoTripleton(), setPresolveActions(), setSubstitution(), and substitution().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpSolve.hpp